[
  // ---------------------------------------------------------------------------------------------------------------------
  // ----- Odin Tests ------------------------
  // ---------------------------------------------------------------------------------------------------------------------
  {
    "label": "Test many_bits",
    "command": "odin test many_bits -out=out/debug/test_many_bits",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Test ring",
    "command": "odin test ring -out=out/debug/test_ring",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Test levsort",
    "command": "odin test levsort -out=out/debug/test_levsort",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Test levsync",
    "command": "odin test levsync -out=out/debug/test_levsync",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Test levmath",
    "command": "odin test levmath -out=out/debug/test_levmath",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Test phased_executor",
    "command": "odin test phased_executor -out=out/debug/test_phased_executor",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Test qrcode",
    "command": "odin test qrcode -out=out/debug/test_qrcode",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Test all",
    "command": "odin test many_bits -out=out/debug/test_many_bits && odin test ring -out=out/debug/test_ring && odin test levsort -out=out/debug/test_levsort && odin test levsync -out=out/debug/test_levsync && odin test levmath -out=out/debug/test_levmath && odin test phased_executor -out=out/debug/test_phased_executor && odin test qrcode -out=out/debug/test_qrcode",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  // ---------------------------------------------------------------------------------------------------------------------
  // ----- Examples ------------------------
  // ---------------------------------------------------------------------------------------------------------------------
  {
    "label": "Run lmdb example",
    "command": "odin run vendor/lmdb/examples -debug -out=out/debug/lmdb-examples",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Run draw hellope-clay example",
    "command": "odin run draw/examples -debug -out=out/debug/draw-examples -- hellope-clay",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Run draw hellope-shapes example",
    "command": "odin run draw/examples -debug -out=out/debug/draw-examples -- hellope-shapes",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Run draw hellope-text example",
    "command": "odin run draw/examples -debug -out=out/debug/draw-examples -- hellope-text",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Run draw hellope-custom example",
    "command": "odin run draw/examples -debug -out=out/debug/draw-examples -- hellope-custom",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Run draw textures example",
    "command": "odin run draw/examples -debug -out=out/debug/draw-examples -- textures",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Run draw clay-borders example",
    "command": "odin run draw/examples -debug -out=out/debug/draw-examples -- clay-borders",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Run draw gaussian-blur example",
    "command": "odin run draw/examples -debug -out=out/debug/draw-examples -- gaussian-blur",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Run draw gaussian-blur-debug example",
    "command": "odin run draw/examples -debug -out=out/debug/draw-examples -- gaussian-blur-debug",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Run qrcode basic example",
    "command": "odin run qrcode/examples -debug -out=out/debug/qrcode-examples -- basic",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Run qrcode variety example",
    "command": "odin run qrcode/examples -debug -out=out/debug/qrcode-examples -- variety",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Run qrcode segment example",
    "command": "odin run qrcode/examples -debug -out=out/debug/qrcode-examples -- segment",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  {
    "label": "Run qrcode mask example",
    "command": "odin run qrcode/examples -debug -out=out/debug/qrcode-examples -- mask",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
  // ---------------------------------------------------------------------------------------------------------------------
  // ----- Other ------------------------
  // ---------------------------------------------------------------------------------------------------------------------
  {
    "label": "Run debug",
    "command": "odin run debug -debug -out=out/debug/debug",
    "cwd": "$ZED_WORKTREE_ROOT",
  },
]
